Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.nxt
Class LSC

    java.lang.Object
      lejos.nxt.I2CSensor
          lejos.nxt.LSC

All Implemented Interfaces:
  SensorConstants

    public class LSC

extends I2CSensor

Servo Controller manage until 10 RC Servos. This class has been defined to manage the device Lattebox Servo Controller The physical design is: **************************** * SERVO 01 SERVO 06 * * SERVO 02 CHIP SERVO 07 * * SERVO 03 CHIP SERVO 08 * * SERVO 04 CHIP SERVO 09 * * SERVO 05 CHIP SERVO 10 * * * * USB DC NXTe PINS * * USB DC * ****************************

Author:
  Juan Antonio Brenha Moral

Field Summary
`static byte[]` | `arrServoID`

Fields inherited from interface lejos.nxt.SensorConstants
`MODE_ANGLESTEP, MODE_BOOLEAN, MODE_CELSIUS, MODE_FARENHEIT, MODE_PCTFULLSCALE, MODE_PERIODCOUNTER, MODE_RAW, MODE_TRANSITIONCNT, TYPE_ANGLE, TYPE_CUSTOM, TYPE_LIGHT_ACTIVE, TYPE_LIGHT_INACTIVE, TYPE_LOWSPEED, TYPE_LOWSPEED_9V, TYPE_NO_SENSOR, TYPE_REFLECTION, TYPE_SOUND_DB, TYPE_SOUND_DBA, TYPE_SWITCH, TYPE_TEMPERATURE`

Constructor Summary
`LSC(SensorPort port, byte SPI_PORT)` Constructor

Method Summary
`void` | `addServo(int index, String name)` Method to add servo to current LSC
`void` | `calibrate()` This method check LSC connected with NXTe Currently I am debugging
`LServo` | `getServo(int index)` Method to get a Servo in a LSC
`void` | `loadAllServos()` Load all servos connected this this LSC

Methods inherited from class lejos.nxt.I2CSensor
`getData, getPort, getProductID, getSensorType, getVersion, sendData, sendData, setAddress`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### arrServoID

    public static final byte[] arrServoID

Constructor Detail

### LSC

    public LSC(SensorPort port,
               byte SPI_PORT)

  Constructor

  Parameters:
    `port` -
    `SPI_PORT` -

Method Detail

### addServo

    public void addServo(int index,
                         String name)
                  throws Exception

  Method to add servo to current LSC

  Parameters:
    `index` -
    `name` -
  Throws:
    `Exception`

### getServo

    public LServo getServo(int index)

  Method to get a Servo in a LSC

  Parameters:
    `index` -
  Returns:
    LServo

### calibrate

    public void calibrate()
                   throws Exception

  This method check LSC connected with NXTe Currently I am debugging

  Throws:
    `Exception`

### loadAllServos

    public void loadAllServos()
                       throws Exception

  Load all servos connected this this LSC

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD